{
    attributes = (
        {
            columnName = "C_BAP"; 
            externalType = VARCHAR2; 
            name = code; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = "BAP_ID"; 
            externalType = NUMBER; 
            name = id; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_BAP"; 
            externalType = VARCHAR2; 
            name = libelleCourt; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_BAP"; 
            externalType = VARCHAR2; 
            name = libelleLong; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 120; 
        }
    ); 
    attributesUsedForLocking = (code, id, libelleCourt, libelleLong); 
    className = "org.cocktail.mangue.common.modele.nomenclatures.specialisations.EOBap"; 
    classProperties = (code, libelleCourt, libelleLong); 
    externalName = "GRHUM.BAP"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (code, libelleCourt, libelleLong); }; 
    name = Bap; 
    primaryKeyAttributes = (id); 
    userInfo = {"_EntityModeler" = {parentClassName = Nomenclature; }; }; 
}
